<?php
$tdata_____________ = array();
$tdata_____________[".searchableFields"] = array();
$tdata_____________[".ShortName"] = "_____________";
$tdata_____________[".OwnerID"] = "";
$tdata_____________[".OriginalTable"] = "percentage";


$tdata_____________[".pagesByType"] = my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" );
$tdata_____________[".originalPagesByType"] = $tdata_____________[".pagesByType"];
$tdata_____________[".pages"] = types2pages( my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" ) );
$tdata_____________[".originalPages"] = $tdata_____________[".pages"];
$tdata_____________[".defaultPages"] = my_json_decode( "{\"chart\":\"chart\",\"search\":\"search\"}" );
$tdata_____________[".originalDefaultPages"] = $tdata_____________[".defaultPages"];

//	field labels
$fieldLabels_____________ = array();
$fieldToolTips_____________ = array();
$pageTitles_____________ = array();
$placeHolders_____________ = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabels_____________["English"] = array();
	$fieldToolTips_____________["English"] = array();
	$placeHolders_____________["English"] = array();
	$pageTitles_____________["English"] = array();
	$fieldLabels_____________["English"]["_____"] = "الإسم";
	$fieldToolTips_____________["English"]["_____"] = "";
	$placeHolders_____________["English"]["_____"] = "";
	$fieldLabels_____________["English"]["_______"] = "المنطقة";
	$fieldToolTips_____________["English"]["_______"] = "";
	$placeHolders_____________["English"]["_______"] = "";
	$fieldLabels_____________["English"]["_____"] = "القلم";
	$fieldToolTips_____________["English"]["_____"] = "";
	$placeHolders_____________["English"]["_____"] = "";
	$fieldLabels_____________["English"]["_______"] = "المجموع";
	$fieldToolTips_____________["English"]["_______"] = "";
	$placeHolders_____________["English"]["_______"] = "";
	$fieldLabels_____________["English"]["_____"] = "يقترع";
	$fieldToolTips_____________["English"]["_____"] = "";
	$placeHolders_____________["English"]["_____"] = "";
	$fieldLabels_____________["English"]["______"] = "النسبة";
	$fieldToolTips_____________["English"]["______"] = "";
	$placeHolders_____________["English"]["______"] = "";
	if (count($fieldToolTips_____________["English"]))
		$tdata_____________[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabels_____________["Arabic"] = array();
	$fieldToolTips_____________["Arabic"] = array();
	$placeHolders_____________["Arabic"] = array();
	$pageTitles_____________["Arabic"] = array();
	$fieldLabels_____________["Arabic"]["_____"] = "الإسم";
	$fieldToolTips_____________["Arabic"]["_____"] = "";
	$placeHolders_____________["Arabic"]["_____"] = "";
	$fieldLabels_____________["Arabic"]["_______"] = "المنطقة";
	$fieldToolTips_____________["Arabic"]["_______"] = "";
	$placeHolders_____________["Arabic"]["_______"] = "";
	$fieldLabels_____________["Arabic"]["_____"] = "القلم";
	$fieldToolTips_____________["Arabic"]["_____"] = "";
	$placeHolders_____________["Arabic"]["_____"] = "";
	$fieldLabels_____________["Arabic"]["_______"] = "المجموع";
	$fieldToolTips_____________["Arabic"]["_______"] = "";
	$placeHolders_____________["Arabic"]["_______"] = "";
	$fieldLabels_____________["Arabic"]["_____"] = "يقترع";
	$fieldToolTips_____________["Arabic"]["_____"] = "";
	$placeHolders_____________["Arabic"]["_____"] = "";
	$fieldLabels_____________["Arabic"]["______"] = "النسبة";
	$fieldToolTips_____________["Arabic"]["______"] = "";
	$placeHolders_____________["Arabic"]["______"] = "";
	if (count($fieldToolTips_____________["Arabic"]))
		$tdata_____________[".isUseToolTips"] = true;
}


	$tdata_____________[".NCSearch"] = true;

	$tdata_____________[".ChartRefreshTime"] = 180;


$tdata_____________[".shortTableName"] = "_____________";
$tdata_____________[".nSecOptions"] = 0;

$tdata_____________[".mainTableOwnerID"] = "";
$tdata_____________[".entityType"] = 3;
$tdata_____________[".connId"] = "electiondb_at_ssl_localhost";


$tdata_____________[".strOriginalTableName"] = "percentage";

	



$tdata_____________[".showAddInPopup"] = false;

$tdata_____________[".showEditInPopup"] = false;

$tdata_____________[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdata_____________[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdata_____________[".listAjax"] = false;
//	temporary
$tdata_____________[".listAjax"] = false;

	$tdata_____________[".audit"] = false;

	$tdata_____________[".locking"] = false;


$pages = $tdata_____________[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdata_____________[".edit"] = true;
	$tdata_____________[".afterEditAction"] = 1;
	$tdata_____________[".closePopupAfterEdit"] = 1;
	$tdata_____________[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdata_____________[".add"] = true;
$tdata_____________[".afterAddAction"] = 1;
$tdata_____________[".closePopupAfterAdd"] = 1;
$tdata_____________[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdata_____________[".list"] = true;
}



$tdata_____________[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdata_____________[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdata_____________[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdata_____________[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdata_____________[".printFriendly"] = true;
}



$tdata_____________[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdata_____________[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdata_____________[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdata_____________[".isUseAjaxSuggest"] = true;






$tdata_____________[".ajaxCodeSnippetAdded"] = false;

$tdata_____________[".buttonsAdded"] = false;

$tdata_____________[".addPageEvents"] = false;

// use timepicker for search panel
$tdata_____________[".isUseTimeForSearch"] = false;


$tdata_____________[".badgeColor"] = "00C2C5";


$tdata_____________[".allSearchFields"] = array();
$tdata_____________[".filterFields"] = array();
$tdata_____________[".requiredSearchFields"] = array();




$tdata_____________[".tableType"] = "chart";

$tdata_____________[".printerPageOrientation"] = 0;
$tdata_____________[".nPrinterPageScale"] = 100;

$tdata_____________[".nPrinterSplitRecords"] = 40;

$tdata_____________[".geocodingEnabled"] = false;



// chart settings
$tdata_____________[".chartType"] = "2DDoughnut";
// end of chart settings








$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdata_____________[".strOrderBy"] = $tstrOrderBy;

$tdata_____________[".orderindexes"] = array();


$tdata_____________[".sqlHead"] = "SELECT `الإسم`,  	`المنطقة`,  	`القلم`,  	`المجموع`,  	`يقترع`,  	`النسبة`";
$tdata_____________[".sqlFrom"] = "FROM percentage";
$tdata_____________[".sqlWhereExpr"] = "";
$tdata_____________[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdata_____________[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdata_____________[".arrGroupsPerPage"] = $arrGPP;

$tdata_____________[".highlightSearchResults"] = true;

$tableKeys_____________ = array();
$tdata_____________[".Keys"] = $tableKeys_____________;


$tdata_____________[".hideMobileList"] = array();




//	الإسم
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "الإسم";
	$fdata["GoodName"] = "_____";
	$fdata["ownerTable"] = "percentage";
	$fdata["Label"] = GetFieldLabel("_____________","_____");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "الإسم";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`الإسم`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=57";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_____________["الإسم"] = $fdata;
		$tdata_____________[".searchableFields"][] = "الإسم";
//	المنطقة
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "المنطقة";
	$fdata["GoodName"] = "_______";
	$fdata["ownerTable"] = "percentage";
	$fdata["Label"] = GetFieldLabel("_____________","_______");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "المنطقة";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`المنطقة`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_____________["المنطقة"] = $fdata;
		$tdata_____________[".searchableFields"][] = "المنطقة";
//	القلم
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "القلم";
	$fdata["GoodName"] = "_____";
	$fdata["ownerTable"] = "percentage";
	$fdata["Label"] = GetFieldLabel("_____________","_____");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "القلم";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`القلم`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_____________["القلم"] = $fdata;
		$tdata_____________[".searchableFields"][] = "القلم";
//	المجموع
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "المجموع";
	$fdata["GoodName"] = "_______";
	$fdata["ownerTable"] = "percentage";
	$fdata["Label"] = GetFieldLabel("_____________","_______");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "المجموع";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`المجموع`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_____________["المجموع"] = $fdata;
		$tdata_____________[".searchableFields"][] = "المجموع";
//	يقترع
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "يقترع";
	$fdata["GoodName"] = "_____";
	$fdata["ownerTable"] = "percentage";
	$fdata["Label"] = GetFieldLabel("_____________","_____");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "يقترع";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`يقترع`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=10";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_____________["يقترع"] = $fdata;
		$tdata_____________[".searchableFields"][] = "يقترع";
//	النسبة
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "النسبة";
	$fdata["GoodName"] = "______";
	$fdata["ownerTable"] = "percentage";
	$fdata["Label"] = GetFieldLabel("_____________","______");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "النسبة";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`النسبة`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_____________["النسبة"] = $fdata;
		$tdata_____________[".searchableFields"][] = "النسبة";

$tdata_____________[".chartLabelField"] = "يقترع";
$tdata_____________[".chartSeries"] = array();
$tdata_____________[".chartSeries"][] = array( 
	"field" => "النسبة",
	"total" => ""
);
	$tdata_____________[".chartXml"] = '<chart>
		<attr value="tables">
			<attr value="0">نسبة الإقتراع</attr>
		</attr>
		<attr value="chart_type">
			<attr value="type">2d_doughnut</attr>
		</attr>

		<attr value="parameters">';
	$tdata_____________[".chartXml"] .= '<attr value="0">
			<attr value="name">النسبة</attr>';
	$tdata_____________[".chartXml"] .= '</attr>';
	$tdata_____________[".chartXml"] .= '<attr value="1">
		<attr value="name">يقترع</attr>
	</attr>';
	$tdata_____________[".chartXml"] .= '</attr>
			<attr value="appearance">';


	$tdata_____________[".chartXml"] .= '<attr value="head">'.xmlencode("نسبة الإقتراع").'</attr>
<attr value="foot">'.xmlencode("").'</attr>
<attr value="y_axis_label">'.xmlencode("القلم").'</attr>


<attr value="slegend">true</attr>
<attr value="sgrid">true</attr>
<attr value="sname">true</attr>
<attr value="sval">true</attr>
<attr value="sanim">false</attr>
<attr value="sstacked">false</attr>
<attr value="slog">false</attr>
<attr value="aqua">0</attr>
<attr value="cview">0</attr>
<attr value="is3d">0</attr>
<attr value="isstacked">0</attr>
<attr value="linestyle">0</attr>
<attr value="autoupdate">1</attr>
<attr value="autoupmin">180</attr>';
$tdata_____________[".chartXml"] .= '</attr>

<attr value="fields">';
	$tdata_____________[".chartXml"] .= '<attr value="0">
		<attr value="name">الإسم</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_____________","_____")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_____________[".chartXml"] .= '<attr value="1">
		<attr value="name">المنطقة</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_____________","_______")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_____________[".chartXml"] .= '<attr value="2">
		<attr value="name">القلم</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_____________","_____")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_____________[".chartXml"] .= '<attr value="3">
		<attr value="name">المجموع</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_____________","_______")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_____________[".chartXml"] .= '<attr value="4">
		<attr value="name">يقترع</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_____________","_____")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_____________[".chartXml"] .= '<attr value="5">
		<attr value="name">النسبة</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_____________","______")).'</attr>
		<attr value="search"></attr>
	</attr>';
$tdata_____________[".chartXml"] .= '</attr>


<attr value="settings">
<attr value="name">نسبة الإقتراع</attr>
<attr value="short_table_name">_____________</attr>
</attr>

</chart>';

$tables_data["نسبة الإقتراع"]=&$tdata_____________;
$field_labels["_____________"] = &$fieldLabels_____________;
$fieldToolTips["_____________"] = &$fieldToolTips_____________;
$placeHolders["_____________"] = &$placeHolders_____________;
$page_titles["_____________"] = &$pageTitles_____________;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["نسبة الإقتراع"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["نسبة الإقتراع"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery______________()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "`الإسم`,  	`المنطقة`,  	`القلم`,  	`المجموع`,  	`يقترع`,  	`النسبة`";
$proto0["m_strFrom"] = "FROM percentage";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "الإسم",
	"m_strTable" => "percentage",
	"m_srcTableName" => "نسبة الإقتراع"
));

$proto6["m_sql"] = "`الإسم`";
$proto6["m_srcTableName"] = "نسبة الإقتراع";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "المنطقة",
	"m_strTable" => "percentage",
	"m_srcTableName" => "نسبة الإقتراع"
));

$proto8["m_sql"] = "`المنطقة`";
$proto8["m_srcTableName"] = "نسبة الإقتراع";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "القلم",
	"m_strTable" => "percentage",
	"m_srcTableName" => "نسبة الإقتراع"
));

$proto10["m_sql"] = "`القلم`";
$proto10["m_srcTableName"] = "نسبة الإقتراع";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "المجموع",
	"m_strTable" => "percentage",
	"m_srcTableName" => "نسبة الإقتراع"
));

$proto12["m_sql"] = "`المجموع`";
$proto12["m_srcTableName"] = "نسبة الإقتراع";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "يقترع",
	"m_strTable" => "percentage",
	"m_srcTableName" => "نسبة الإقتراع"
));

$proto14["m_sql"] = "`يقترع`";
$proto14["m_srcTableName"] = "نسبة الإقتراع";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "النسبة",
	"m_strTable" => "percentage",
	"m_srcTableName" => "نسبة الإقتراع"
));

$proto16["m_sql"] = "`النسبة`";
$proto16["m_srcTableName"] = "نسبة الإقتراع";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "percentage";
$proto19["m_srcTableName"] = "نسبة الإقتراع";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "الإسم";
$proto19["m_columns"][] = "المنطقة";
$proto19["m_columns"][] = "القلم";
$proto19["m_columns"][] = "المجموع";
$proto19["m_columns"][] = "يقترع";
$proto19["m_columns"][] = "النسبة";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "percentage";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "نسبة الإقتراع";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="نسبة الإقتراع";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData______________ = createSqlQuery______________();


	
		;

						

$tdata_____________[".sqlquery"] = $queryData______________;



$tableEvents["نسبة الإقتراع"] = new eventsBase;
$tdata_____________[".hasEvents"] = false;

?>